Page MenuHomePhabricator

rebase: do not update if IMM; instead, set the overlaywctx's parents
ClosedPublic

Authored by phillco on Oct 26 2017, 12:48 AM.

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

phillco updated this revision to Diff 4192.Dec 7 2017, 4:22 PM
phillco updated this revision to Diff 4211.Dec 7 2017, 4:45 PM
durin42 accepted this revision.Dec 7 2017, 4:59 PM
This revision is now accepted and ready to land.Dec 7 2017, 4:59 PM
dlax requested changes to this revision.Dec 8 2017, 4:29 AM
dlax added a subscriber: dlax.

Needs test.

hgext/rebase.py
1003–1004

wctx has a default value of None, so either it shouldn't have that or there should be a check for None here.

1007

wctx is redefined here.

This revision now requires changes to proceed.Dec 8 2017, 4:29 AM
phillco added inline comments.Dec 8 2017, 3:09 PM
hgext/rebase.py
1003–1004

Good point -- dropped.

1007

This is intentional.

phillco updated this revision to Diff 4259.Dec 8 2017, 3:09 PM
durin42 accepted this revision.Dec 8 2017, 3:13 PM
This revision was automatically updated to reflect the committed changes.